#include "kit_debug.h"

#include "flash_manager.h"
#include "dido_manager.h"
#include "fault_manager.h"
#include "eeprom_manager.h"
#include "run_status.h"

#include "logic_ctrl.h"


const DoLogic bmsCircuitCtrl[kDoCtrlStrategy_End] = 
{
    logic_same_circuit_poll,
    logic_cmd_ctrl_poll,
};


const DoLogic doLogicArray[kDoType_End] = {
    NULL, NULL, NULL, NULL, NULL, NULL
};


void task_dido_ctrl_handle(uint32_t base_time)
{	
	bms_poll_di_do(base_time);	
}

